/// @description Insert description here
// You can write your code in this editor
/*
if (instance_exists(obj_player)) {
	draw_text(5, 5, "Reloading: "+string(obj_player.reloading)+"| "+string(obj_player.reload_timer)+"/"+string(obj_player.reload_maxTime));
	draw_text(5, 25, "Weapon hot: "+string(obj_player.weapon_isHot)+"| "+string(obj_player.weapon_heatTimer)+"/"+string(obj_player.rate_of_fire));
	draw_text(5, 45, "Melee: "+string(obj_player.melee_isTrue)+"| "+string(obj_player.melee_timer)+"/"+string(obj_player.melee_swingTime)+"/"+string(obj_player.melee_maxTime));
	draw_text(5, 65, "Ammo: "+string(obj_player.ammo_inClip)+" | "+string(obj_player.ammo));
	draw_text(5, 85, "Bullets created: "+string(instance_number(obj_bullet)));
	draw_text(5, 105, "Player class: "+string(obj_player.class));
	draw_text(5, 125, "ability1: "+string(obj_player.ability_cooldown[0])+"| "+string(obj_player.ability_timer[0])+"/"+string(obj_player.ability_max_time[0]));
	draw_text(5, 145, "ability2: "+string(obj_player.ability_cooldown[1])+"| "+string(obj_player.ability_timer[1])+"/"+string(obj_player.ability_max_time[1]));
	draw_text(5, 165, "wave: "+string(wave)+"| "+string(phase)+"/"+string(wave_isActive)+"/"+string(wave_timer));
}
*/

draw_set_alpha(1.0);
draw_set_halign(fa_left);
draw_set_valign(fa_top);
draw_set_color(c_black);
draw_set_font(fnt_small);

if (Game.wave_isActive) {
	draw_set_alpha(0.1);
	draw_set_color(getWaveColor(phase));
	draw_rectangle(0, 0, 1980, 1080, false);
	draw_set_alpha(1.0);
} else {
	draw_set_color(c_black);
	draw_text_shadow(1980 - 20, 10, string(round(6 - wave_timer)), c_black, c_white, 1, 1, 30);
}

draw_set_color(c_black);
draw_text_shadow(10, 10, "Wave: "+string(Game.wave) + "\nZombies killed: "+string(Game.zombies_killed) + "\nZombies alive: " + string(instance_number(obj_zombie)) + "\nPhase: "+getWaveColorStr(Game.phase), c_black, c_white, 1, 2, 30);
draw_set_color(c_black);

for (var i=0; i<ds_map_size(Controller.player_map); i++) {
	var _obj = Controller.player_map[? string(i)];
	
	if (!_obj.dead) {
		draw_sprite_ext(spr_profile, 0, 5 + (140*i), 1080 - 128, 1, 1, 0, c_white, 0.9);
	} else {
		draw_sprite_ext(spr_profile, 0, 5 + (140*i), 1080 - 128, 1, 1, 0, merge_color(c_red, c_white, 0.6), 0.9);
	}
	if (_obj.ability_cooldown[0]) {
		var ability_ratio = (_obj.ability_timer[0] / _obj.ability_max_time[0]),
			temp_color = merge_color(c_red, c_white, ability_ratio);
		draw_sprite_ext(spr_cooldown, 0, 5 + (140*i), 1080 - 128, 1, 1, 0, temp_color, 1 / ability_ratio);
	}
	if (_obj.ability_cooldown[1]) {
		var ability_ratio = (_obj.ability_timer[1] / _obj.ability_max_time[1]),
			temp_color = merge_color(c_red, c_white, ability_ratio);
		draw_sprite_ext(spr_cooldown, 1, 5 + (140*i), 1080 - 128, 1, 1, 0, temp_color, 1 / ability_ratio);
	}
	
	var deadSTR = "";
	if (_obj.dead) { deadSTR = " (dead)"; }
	draw_text_shadow(25 + (140*i), 1080 - 20, "Player " + string(_obj.slot+1) +": "+ getClassStr(_obj.class) + deadSTR, c_black, c_white, 1, 1, 30);
	draw_text_shadow(25 + (140*i), 1080 - 65, string(_obj.ammo_inClip) + "/" + string(_obj.ammo_clipSize) + "\n" + string(_obj.ammo), c_black, c_white, 1, 1, 30);
	
}